---
title: "Update an owner"
slug: "update-an-owner"
updated: 2024-08-21T13:53:27Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an owner

Put/api/v1/relations/owners

Update an existing owner. This will fully overwrite the owner with the data from the request.

		
			

**Description**

Update an existing owner. This will fully overwrite the Owner with the data from the request. Both the 'reference' and the 'externalIdentifier' can be used to identify the owner which needs to be overwritten. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (owner). If this is not the case, the request will return with an error code and the owner will not be overwritten. Owner pertains to real estate owners. Each owner has their own financial administration. Adding a new owner automatically triggers the creation of a new financial administration.

**Use Case**

The Bloxs user has added an owner with several incorrect properties. Therefore the user wants to change multiple properties at the same time rather than making several requests and changing one property at a time.

| Field | Description |
| --- | --- |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| phoneNumber | Phone number of the owner. |
| mobileNumber | Mobile phone number of the owner. |
| cocNumber | Chamber of Commerce number. |
| cocDescription | Additional information about the Chamber of Commerce number. Termed as KVK description in the Bloxs system. Extra information can be entered here regarding the Chamber of Commerce number. |
| vatNumber | VAT (BTW) number of the owner. |
| correspondenceMethod | The default method of correspondence. This field is an integer with 2 options: 1 = Email 2 = Post If the correspondenceMethod is set to Email, then the primaryEmailAddresses field is mandatory. If the CorrespondenceMethod is set to Post, then the Address field is mandatory. |
| remarks | General comments. Please note: Avoid including sensitive information here, such as passwords or sensitive personal data. |
| languageISOCode | ISO language code. Use the 2-letter code from the ISO 639-1 Code list. |
| address | The address of the owner. |
| street | The street of the owner. |
| houseNumber | The house number of the owner. |
| postalCode | The postal code of the owner. |
| city | The place of residence of the owner. |
| countryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| invoiceAddress | The billing address of the owner. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| postalAddress | The postal address of the owner. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| invoicesEmailAddresses | The email address used to send invoices. |
| paymentRemindersEmailAddresses | The email address used to send reminders regarding payments. |
| indexationsEmailAddresses | The email address to which the annual rent increase (indexation) is sent. |
| serviceTicketsEmailAddresses | The email address to which all maintenance notifications are sent. This may differ from the general email address. For instance, in the case of a shared office space where all communication is centralized through one central desk instead of being handled separately by individual tenants. |
| purchaseOrdersEmailAddresses | All communication specifically related to procurement is conducted through this email address. This is primarily applicable to large parties where procurement processes are managed through separate email accounts. |
| portalsEmailAddresses | Within Bloxs, a portal account for customers or tenants can be opened. Through this field, you can provide multiple email addresses that need to be granted access. |
| otherEmailAddresses | Other email addresses. |
| name | Name of the relation. |
| website | Website of the relation. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system . |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7fbc90e9-ef21-486c-8d70-dda5060d2b67'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

invoiceAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

postalAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    RequiredValid values[
  1,
  2
]
remarksstring   | null  
namestring    RequiredMin length0Max length256
websitestring   | null  
referencestring   | null  Min length0Max length100

Responses200

The owner was updated

<select class='api-response-data' aria-label='Media type'><option value='f4c50d36-51eb-464a-a7a2-410eba7f2c29'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

invoiceAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

postalAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    Valid values[
  1,
  2
]
remarksstring   | null  
namestring    Min length0Max length256
websitestring   | null  
referencestring   | null  Min length0Max length100
displayNamestring   | null  
archiveDatestring  (date)   | null  

400

The owner data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='0cf0bff6-773d-4f3a-bf73-191f7d00d51a'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
